package com.jaworski.security.handbook;

import java.math.BigInteger;

public class FindInverse {
 public static void main(String[] args) {
  if(args.length != 2) {
   String err = "Usage: java ";
   err += "com.jaworski.security.handbook.FindInverse ";
   err += "e modulous";
   System.out.println(err);
   System.exit(0);
  }
  int arg = 0;
  try {
   BigInteger e = new BigInteger(args[0]);
   ++arg;
   BigInteger m = new BigInteger(args[1]);
   BigInteger d = e.modInverse(m);
   System.out.println(d); 
  }catch(NumberFormatException ex) {
   String err = "Error: arg["+arg+"] is invalid.";
   System.out.println(err);
  }
 }
}
