package com.jaworski.security.handbook;

import java.io.*;
import java.security.*;

public class Base64DecodeConsoleApp {
 public static void main(String[] args) {
  String help = "Usage: java com.jaworski.security.handbook.";
  help += "Base64DecodeConsoleApp infile outfile";
  if(args.length != 2) {
   System.out.println(help);
   return;
  }
  base64Decode(args[0],args[1]);
 }
 public static void base64Decode(String f1,String f2) {
  try {
   BufferedReader in = new BufferedReader(
    new FileReader(f1));
   BufferedOutputStream out = new BufferedOutputStream(
    new FileOutputStream(f2));
   String line;
   while((line = in.readLine()) != null) {
    byte[] b = Conversion.base64StringToByteArray(line);
    out.write(b,0,b.length);    
   }
   in.close();
   out.close();
  } catch(IOException e) {
   System.out.println("I/O error.");
  }
 }
}
